get
https://{hostname}/api/assessment/v2/assessments//sections/navigate
Use this API to retrieve a section of assessment questions. The response includes the questions within the requested section, available response options, and any previously submitted responses. Questions hidden by navigation rules are not returned.
Things to Know
- By default, only required unanswered questions are returned.
- To retrieve all questions in the section, specify
filter=ALL_QUESTIONSas a query parameter.- To retrieve the assessment's welcome or introduction content instead of assessment questions, specify
direction=WELCOMEas a query parameter. If no welcome content is configured, specifydirection=FIRST.- Each question includes available response options and any previously submitted responses. Response option identifiers can be used when submitting responses through the Submit Responses API.
400Bad Request
401Unauthorized
403Forbidden
500Internal Server Error
